Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sun, 19 Dec 2021 12:44:12 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Order # 9513503967. The order with Tracking no FP111821004302 reflects as delivered on Friday 19-Nov @ 11:30 AM. However, we were in RAK Marjan Island Can provide proof. We tried contacted your customer help desk on 20-Nov as raised complaint that we have not received the package, who in turn informed that it will be delivered again in 2 days. I once again called today 22-Nov and Given one more tracking no and advised the shipment will arrive tomorrow. I checked tracking no online and found it with status customer rejected the order. So called call center once again to find out that the previous person had given me incorrect tracking no and there was no repeat shipment for my order.  your Jordan call center cant speak English and hence cannot understand what i want to communicate. I want to resolve this peacefully . Please call me on 971 50-8432498. https://landmar
 kgroupservice.freshdesk.com/helpdesk/tickets/3430338